org.codehaus.groovy.tools.groovydoc

## Class MockOutputTool

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.MockOutputTool

- All Implemented Interfaces:
    OutputTool

      public class MockOutputTool
      extends java.lang.Object
      implements OutputTool

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockOutputTool()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText(java.lang.String fileName)`
    `boolean` | `isValidOutputArea(java.lang.String fileName)`
    `void` | `makeOutputArea(java.lang.String filename)`
    `java.lang.String` | `toString()`
    `void` | `writeToOutput(java.lang.String fileName, java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockOutputTool

          public MockOutputTool()

  - ### Method Detail

    - #### makeOutputArea

          public void makeOutputArea(java.lang.String filename)

      Specified by:
        `makeOutputArea` in interface `OutputTool`

    - #### writeToOutput

          public void writeToOutput(java.lang.String fileName,
                           java.lang.String text)
                             throws java.lang.Exception

      Specified by:
        `writeToOutput` in interface `OutputTool`
      Throws:
        `java.lang.Exception`

    - #### isValidOutputArea

          public boolean isValidOutputArea(java.lang.String fileName)

    - #### getText

          public java.lang.String getText(java.lang.String fileName)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`